Message2Give Logo
Message2Give DocsVersion 1.2.8

Transcripts

View transcripts of conversations from your workspace.


GET Transcript

https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/transcripts/{transcript_id}?no-messages={no_messages}

Authentication Required: Yes

Description

Retrieves a transcript.

Path Parameters

  • workspace_id: the ID of your workspace.

  • transcript_id: the ID of the transcript you are retrieving.

Query Parameters

  • no_messages: if true, will prevent individual messages from being retrieved.
Example JSON Response
{
  "id":"20210604020043_msn_61876543213_61567843219",
  "date":"2021-06-04T02:00:43.356Z",
  "messageCounts":{
     "system":1,
     "guest":1
  },
  "users":[
     {
        "id":"msn_61876543213_61567843219",
        "name":"Mobile",
        "type":"guest"
     }
  ],
  "status":"OK"
}

Code Snippet


GET Transcripts

https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/transcripts?from={start_utc_messages}&to={end_utc_date}

Authentication Required: Yes

Generalised Query

Retrieves the IDs of all the transcripts in your workspace from within specified dates.

Path Parameters

  • workspace_id: the ID of your workspace.

Query Parameters

  • start_utc_date*: start of the time period to retrieve transcripts from (UTC-formatted).

  • end_utc_date*: end of the time period to retrieve transcripts from (UTC-formatted).

Example JSON Response
{
  "chats": [
        "1123_msn_2234_3345", 
        "4456_msn_5567_6678"
    ]
}

Code Snippet


GET Transcript Messages

https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/transcripts/{transcript_id}?since={start_utc_messages}

Authentication Required: Yes

Description

Retrieives all messages from a transcript past a specified date.

Path Parameters

  • workspace_id: the ID of your workspace.

  • transcript_id: the ID of the transcript you are retrieving messages from.

Query Parameters

  • start_utc_date*: earliest UTC date to retrieve messages from.

Example JSON Reponse

{
  "id": "1123_msn_2234_3345",
  "date": "2021-06-05T04:46:05.426Z",
  "messageCounts": {
    "guest": 1
  },
  "users": [
    {
      "id": "msn_2234_3345",
      "name": "Mobile",
      "type": "guest"
    }
  ],
  "messages": [
    {
      "user": {
        "id": "msn_2234_3345",
        "name": "Mobile",
        "type": "guest"
      },
      "from": "61000000000",
      "to": "61000000001",
      "message": "Bonjour ",
      "sentiment": "neutral_10",
      "language": "fr",
      "translation": "Hello ",
      "id": "21345",
      "date": "2021-06-05T04:59:00.957Z"
    }
  ],
  "status": "OK"
}

Code Snippet

How is this guide?

On this page